Inverse Matrix
Base Module » Linear Algebra

## Functions

bool | itpp::inv (const mat &X, mat &Y)
| Inverse of real square matrix.Calculate the inverse of the real matrix . More...
mat | itpp::inv (const mat &X)
| Inverse of real square matrix.Calculate the inverse of the real matrix . More...
bool | itpp::inv (const cmat &X, cmat &Y)
| Inverse of complex square matrix.Calculate the inverse of the complex matrix . More...
cmat | itpp::inv (const cmat &X)
| Inverse of real square matrix.Calculate the inverse of the complex matrix . More...

## Detailed Description

## Function Documentation

ITPP_EXPORT bool itpp::inv | ( | const mat & | X,
|  | mat & | Y
| ) |  |

Inverse of real square matrix.Calculate the inverse of the real matrix .

Solves the equation system using LU-factorization. IT++ needs to be compiled with the LAPACK for the inverse to be available.

Definition at line 87 of file inv.cpp.

References it_error.

Referenced by itpp::Modulator_NRD::demodulate_soft_bits(), itpp::Modulator_NCD::demodulate_soft_bits(), itpp::Multilateration::get_crlb(), itpp::inv(), itpp::is_unitary(), and itpp::MOG_generic::setup_covs().

ITPP_EXPORT mat itpp::inv | ( | const mat & | X | ) |

Inverse of real square matrix.Calculate the inverse of the real matrix .

Solves the equation system using LU-factorization. IT++ needs to be compiled with LAPACK support for the inverse to be available.

Definition at line 109 of file inv.cpp.

References itpp::inv().

ITPP_EXPORT bool itpp::inv | ( | const cmat & | X,
|  | cmat & | Y
| ) |  |

Inverse of complex square matrix.Calculate the inverse of the complex matrix .

Solves the equation system using LU-factorization. IT++ needs to be compiled with LAPACK support for the inverse to be available.

Definition at line 93 of file inv.cpp.

References it_error.

ITPP_EXPORT cmat itpp::inv | ( | const cmat & | X | ) |

Inverse of real square matrix.Calculate the inverse of the complex matrix .

Solves the equation system using LU-factorization. IT++ needs to be compiled with the LAPACK for the inverse to be available.

Definition at line 101 of file inv.cpp.

References itpp::inv().

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1